Package org.eclipse.app4mc.amalthea.model.builder

## Class AmaltheaBuilder

- Object
- - AmaltheaBuilder

    public class AmaltheaBuilder
    extends Object

### Constructor Summary

Constructors
`AmaltheaBuilder()`

### Method Summary

All Methods
`<T extends INamed> T` `_find​(@NonNull EObject context, @NonNull Class<T> cl, @NonNull String name)`
`<T extends EObject> T` `_ref​(@NonNull Class<T> cl, @NonNull String name)`
`<T extends EObject> void` `_reg​(@NonNull T object, @NonNull String name)`
`Amalthea` `amalthea​(Procedures.Procedure1<Amalthea> initializer)`
`void` `commonElements​(Amalthea container, Procedures.Procedure1<CommonElements> initializer)`
`void` `componentsModel​(Amalthea container, Procedures.Procedure1<ComponentsModel> initializer)`
`void` `constraintsModel​(Amalthea container, Procedures.Procedure1<ConstraintsModel> initializer)`
`void` `eventModel​(Amalthea container, Procedures.Procedure1<EventModel> initializer)`
`void` `hardwareModel​(Amalthea container, Procedures.Procedure1<HWModel> initializer)`
`void` `mappingModel​(Amalthea container, Procedures.Procedure1<MappingModel> initializer)`
`void` `osModel​(Amalthea container, Procedures.Procedure1<OSModel> initializer)`
`void` `propertyConstraintsModel​(Amalthea container, Procedures.Procedure1<PropertyConstraintsModel> initializer)`
`void` `softwareModel​(Amalthea container, Procedures.Procedure1<SWModel> initializer)`
`void` `stimuliModel​(Amalthea container, Procedures.Procedure1<StimuliModel> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AmaltheaBuilder

    public AmaltheaBuilder()

### Method Detail

#### amalthea

    public Amalthea amalthea​(Procedures.Procedure1<Amalthea> initializer)

#### commonElements

    public void commonElements​(Amalthea container,
                               Procedures.Procedure1<CommonElements> initializer)

#### eventModel

    public void eventModel​(Amalthea container,
                           Procedures.Procedure1<EventModel> initializer)

#### stimuliModel

    public void stimuliModel​(Amalthea container,
                             Procedures.Procedure1<StimuliModel> initializer)

#### softwareModel

    public void softwareModel​(Amalthea container,
                              Procedures.Procedure1<SWModel> initializer)

#### osModel

    public void osModel​(Amalthea container,
                        Procedures.Procedure1<OSModel> initializer)

#### hardwareModel

    public void hardwareModel​(Amalthea container,
                              Procedures.Procedure1<HWModel> initializer)

#### constraintsModel

    public void constraintsModel​(Amalthea container,
                                 Procedures.Procedure1<ConstraintsModel> initializer)

#### propertyConstraintsModel

    public void propertyConstraintsModel​(Amalthea container,
                                         Procedures.Procedure1<PropertyConstraintsModel> initializer)

#### componentsModel

    public void componentsModel​(Amalthea container,
                                Procedures.Procedure1<ComponentsModel> initializer)

#### mappingModel

    public void mappingModel​(Amalthea container,
                             Procedures.Procedure1<MappingModel> initializer)

#### _reg

    public <T extends EObject> void _reg​(@NonNull T object,
                                         @NonNull String name)

#### _ref

    public <T extends EObject> T _ref​(@NonNull Class<T> cl,
                                      @NonNull String name)

#### _find

    public <T extends INamed> T _find​(@NonNull EObject context,
                                      @NonNull Class<T> cl,
                                      @NonNull String name)